# Payment gateways

Commerce Layer is integrated out-of-the-box with some of the most common payment gateways, all compliant with the [PSD2 European regulation](https://ec.europa.eu/info/law/payment-services-psd-2-directive-eu-2015-2366_en) so that you can implement a payment flow that supports [SCA](https://en.wikipedia.org/wiki/Strong_customer_authentication) and [3DS2](https://3dsecure2.com/) by using the specific gateway official JS SDK.

The currently supported gateways are:

* [Adyen](/core-api-reference/adyen_gateways.md)
* [Axerve](/core-api-reference/axerve_gateways.md)
* [Braintree](/core-api-reference/braintree_gateways.md)
* [Checkout.com](/core-api-reference/checkout_com_gateways.md)
* [Klarna](/core-api-reference/klarna_gateways.md)
* [PayPal](/core-api-reference/paypal_gateways.md)
* [Satispay](/core-api-reference/satispay_gateways.md)
* [Stripe](/core-api-reference/stripe_gateways.md)

Other types of gateways are also available, such as:

* [External gateways](/core-api-reference/external_gateways.md) — to integrate any other payment service that is not available out-of-the-box (even your custom one).
* [Manual gateways](/core-api-reference/manual_gateways.md) — useful to process wire transfers, cash payments, and other kinds of manual payments.

You can set up a payment gateway from the admin UI. All you need to do is select the type of gateway you want to use and provide all the credentials requested by the selected payment service.

Configuring a payment gateway for a market lets you safely process payments through the API. You can connect different gateways to different markets through the available [payment methods](/core-api-reference/payment_methods.md).

<details>

<summary>Data model</summary>

Check the related [ER diagram](https://commercelayer.io/docs/data-model/payment-gateways) and explore the flowchart that illustrates how the payment gateway resource relates to the other API entities.

</details>

<details>

<summary>How-to</summary>

Check the related [guide](/how-tos/placing-orders/payments.md) to learn more about how Commerce Layer handles the server-side part of the integration process with each specific gateway.

</details>

{% hint style="info" %}
This is an **immutable API**, meaning that create, update, and delete operations are not allowed on this endpoint. You can only fetch a list of payment gateways or a single payment gateway object. For the full set of available CRUD actions to the specific gateway endpoints.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/payment_gateways.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
